Skip to main content
PATCH
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
threads
/
{thread_id}
Update Thread
curl --request PATCH \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/threads/{thread_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "add_labels": [
    "<string>"
  ],
  "remove_labels": [
    "<string>"
  ]
}
'
{
  "thread_id": "<string>",
  "labels": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

thread_id
string
required

ID of thread.

Body

application/json
add_labels
string[]

Labels to add to thread. Cannot be system labels.

remove_labels
string[]

Labels to remove from thread. Cannot be system labels. Takes priority over add_labels (in the event of duplicate labels passed in).

Response

Response with status 200

thread_id
string
required

ID of thread.

labels
string[]
required

Labels of thread.